Re: [ANNOUNCE] Apache Ivy 2.5.0 released

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [ANNOUNCE] Apache Ivy 2.5.0 released

JOSE LUIS MARTINEZ-AVIAL GONZALEZ-CELA
Hello all,
  Thanks for the update. Just a quick question. Do you expect to release also a new version of ivyde?

Thanks

JL

Sent from my iPhone

> On Oct 25, 2019, at 1:27 AM, Jaikiran Pai <[hidden email]> wrote:
>
> The Apache Ivy project is pleased to announce its 2.5.0 release.
>
> Apache Ivy is a tool for managing (recording, tracking, resolving and
> reporting) project dependencies, characterized by flexibility,
> configurability, and tight integration with Apache Ant.
>
> Key features of this 2.5.0 release are:
>
>     - The minimum runtime Java version required is now Java 7
>
>     - Ivy now uses BouncyCastle OpenPGP API 1.59. Due to the non
> backward compatibility of that library, earlier versions are not supported.
>
>     - Ivy now uses HttpComponents HttpClient 4.5.x version with HTTP
> backed resolvers. Users are expected to have this version of the library
> (and its dependencies) in their runtime classpath if they want to use
> such resolvers. The previous (similarly named but not the same)
> commons-httpclient library is no longer used or supported.
> (https://issues.apache.org/jira/browse/IVY-1563)
>
>
> Other than this, there have been numerous issues that have been fixed
> (since 2.4.0) and some enhancements too. The complete set of changes is
> available in release notes here
> https://ant.apache.org/ivy/history/2.5.0/release-notes.html
>
> Migration note:
>
> Users moving from 2.5.0-rc1 are highly recommend to use a fresh/new
> local Ivy cache directory for this release, to avoid certain issues with
> metadata files that might have been cached in the local directory, from
> previous version of Ivy.
>
> Issues should be reported to:
> https://issues.apache.org/jira/browse/IVY
>
> Download the release at:
> https://ant.apache.org/ivy/download.cgi
>
> More information can be found on the Ivy website:
> https://ant.apache.org/ivy/
>
> - Jaikiran, on behalf of Apache Ivy team
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

AW: [ANNOUNCE] Apache Ivy 2.5.0 released

Jan Matèrne (jhm)
That's not a thing we don't want to do.
But we are lacking the knowledge of building Eclipse plugins on actual Eclipse versions.
So don't expect that to come in the near future.

But that's only my personal view
Jan

> -----Ursprüngliche Nachricht-----
> Von: JOSE LUIS MARTINEZ-AVIAL GONZALEZ-CELA [mailto:[hidden email]]
> Gesendet: Freitag, 25. Oktober 2019 13:17
> An: [hidden email]
> Cc: Ant Developers List; [hidden email]; [hidden email]
> Betreff: Re: [ANNOUNCE] Apache Ivy 2.5.0 released
>
> Hello all,
>   Thanks for the update. Just a quick question. Do you expect to
> release also a new version of ivyde?
>
> Thanks
>
> JL
>
> Sent from my iPhone
>
> > On Oct 25, 2019, at 1:27 AM, Jaikiran Pai <[hidden email]>
> wrote:
> >
> > The Apache Ivy project is pleased to announce its 2.5.0 release.
> >
> > Apache Ivy is a tool for managing (recording, tracking, resolving and
> > reporting) project dependencies, characterized by flexibility,
> > configurability, and tight integration with Apache Ant.
> >
> > Key features of this 2.5.0 release are:
> >
> >     - The minimum runtime Java version required is now Java 7
> >
> >     - Ivy now uses BouncyCastle OpenPGP API 1.59. Due to the non
> > backward compatibility of that library, earlier versions are not
> supported.
> >
> >     - Ivy now uses HttpComponents HttpClient 4.5.x version with HTTP
> > backed resolvers. Users are expected to have this version of the
> > library (and its dependencies) in their runtime classpath if they
> want
> > to use such resolvers. The previous (similarly named but not the
> same)
> > commons-httpclient library is no longer used or supported.
> > (https://issues.apache.org/jira/browse/IVY-1563)
> >
> >
> > Other than this, there have been numerous issues that have been fixed
> > (since 2.4.0) and some enhancements too. The complete set of changes
> > is available in release notes here
> > https://ant.apache.org/ivy/history/2.5.0/release-notes.html
> >
> > Migration note:
> >
> > Users moving from 2.5.0-rc1 are highly recommend to use a fresh/new
> > local Ivy cache directory for this release, to avoid certain issues
> > with metadata files that might have been cached in the local
> > directory, from previous version of Ivy.
> >
> > Issues should be reported to:
> > https://issues.apache.org/jira/browse/IVY
> >
> > Download the release at:
> > https://ant.apache.org/ivy/download.cgi
> >
> > More information can be found on the Ivy website:
> > https://ant.apache.org/ivy/
> >
> > - Jaikiran, on behalf of Apache Ivy team
> >
> >
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email] For additional
> commands, e-mail: [hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: AW: [ANNOUNCE] Apache Ivy 2.5.0 released

Jaikiran Pai
Jan is right - IvyDE hasn't seen much development in recent times due to
our lack of Eclipse knowledge. My offer to release IvyDE was just to
attempt to follow the release instructions and do a release. That too, I
don't know how successful it's going to be with all the Eclipse
versioning etc...

-Jaikiran

On 27/10/19 2:24 AM, Jan Matèrne (jhm) wrote:

> That's not a thing we don't want to do.
> But we are lacking the knowledge of building Eclipse plugins on actual Eclipse versions.
> So don't expect that to come in the near future.
>
> But that's only my personal view
> Jan
>
>> -----Ursprüngliche Nachricht-----
>> Von: JOSE LUIS MARTINEZ-AVIAL GONZALEZ-CELA [mailto:[hidden email]]
>> Gesendet: Freitag, 25. Oktober 2019 13:17
>> An: [hidden email]
>> Cc: Ant Developers List; [hidden email]; [hidden email]
>> Betreff: Re: [ANNOUNCE] Apache Ivy 2.5.0 released
>>
>> Hello all,
>>   Thanks for the update. Just a quick question. Do you expect to
>> release also a new version of ivyde?
>>
>> Thanks
>>
>> JL
>>
>> Sent from my iPhone
>>
>>> On Oct 25, 2019, at 1:27 AM, Jaikiran Pai <[hidden email]>
>> wrote:
>>> The Apache Ivy project is pleased to announce its 2.5.0 release.
>>>
>>> Apache Ivy is a tool for managing (recording, tracking, resolving and
>>> reporting) project dependencies, characterized by flexibility,
>>> configurability, and tight integration with Apache Ant.
>>>
>>> Key features of this 2.5.0 release are:
>>>
>>>     - The minimum runtime Java version required is now Java 7
>>>
>>>     - Ivy now uses BouncyCastle OpenPGP API 1.59. Due to the non
>>> backward compatibility of that library, earlier versions are not
>> supported.
>>>     - Ivy now uses HttpComponents HttpClient 4.5.x version with HTTP
>>> backed resolvers. Users are expected to have this version of the
>>> library (and its dependencies) in their runtime classpath if they
>> want
>>> to use such resolvers. The previous (similarly named but not the
>> same)
>>> commons-httpclient library is no longer used or supported.
>>> (https://issues.apache.org/jira/browse/IVY-1563)
>>>
>>>
>>> Other than this, there have been numerous issues that have been fixed
>>> (since 2.4.0) and some enhancements too. The complete set of changes
>>> is available in release notes here
>>> https://ant.apache.org/ivy/history/2.5.0/release-notes.html
>>>
>>> Migration note:
>>>
>>> Users moving from 2.5.0-rc1 are highly recommend to use a fresh/new
>>> local Ivy cache directory for this release, to avoid certain issues
>>> with metadata files that might have been cached in the local
>>> directory, from previous version of Ivy.
>>>
>>> Issues should be reported to:
>>> https://issues.apache.org/jira/browse/IVY
>>>
>>> Download the release at:
>>> https://ant.apache.org/ivy/download.cgi
>>>
>>> More information can be found on the Ivy website:
>>> https://ant.apache.org/ivy/
>>>
>>> - Jaikiran, on behalf of Apache Ivy team
>>>
>>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email] For additional
>> commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]